Bug 1109717 - Review Request: python-evtx - Windows Event Log parsing library and tools
Summary: Review Request: python-evtx - Windows Event Log parsing library and tools
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-16 08:27 UTC by Richard W.M. Jones
Modified: 2018-03-23 11:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-23 11:07:30 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-06-16 08:27:58 UTC
Spec URL: http://oirase.annexia.org/reviews/python-evtx/python-evtx.spec
SRPM URL: http://oirase.annexia.org/reviews/python-evtx/python-evtx-0-0.1.git8838756b.src.rpm
Description: Windows Event Log parsing library and tools
Fedora Account System Username: rjones

Comment 1 Richard W.M. Jones 2014-06-16 08:29:58 UTC
Upstream URLs:
http://www.williballenthin.com/evtx/
https://github.com/williballenthin/python-evtx

Comment 2 Richard W.M. Jones 2014-06-16 08:30:14 UTC
rpmlint output:

python-evtx.src: W: invalid-url Source0: python-evtx-master.zip
python-evtx.noarch: W: no-manual-page-for-binary evtxdump.py
python-evtx.noarch: W: no-manual-page-for-binary evtxinfo.py
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 3 Richard W.M. Jones 2014-06-16 09:08:03 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7047161

Comment 4 Yanko Kaneti 2014-06-18 08:05:47 UTC
Please follow http://fedoraproject.org/wiki/Packaging:SourceURL#Github
Upstream even does releases so its either
Source0: https://github.com/williballenthin/%{name}/archive/v%{version}.tar.gz
for the last 0.3.1 release
or for master
%global commit 8838756be2736695311440073d9f0b498df1fc24
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Source0: https://github.com/williballenthin/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

Comment 6 Antonio 2014-08-13 19:03:25 UTC
I think there are some changes to do according to the Packaging Guidelines for Python.
https://fedoraproject.org/wiki/Packaging:Python

Comment 7 Dmitry Tantsur 2014-10-09 13:35:56 UTC
Hi!

1. BuildRequires:  python
should be 
BuildRequires:  python2-devel

2. find Evtx -name '*.py' | xargs sed -i '/\/usr\/bin\/python/d'
I think it would be better to check for shebang only, something like:
| xargs sed -i ''/^#!.*\/python/d'

3. Why not use summary and description from package's setup.py?
https://github.com/williballenthin/python-evtx/blob/master/setup.py
Also I think in "Programming documentation for %{name}" using full summary of the base package would be more helpful for a user.


Newer build for reference: http://koji.fedoraproject.org/koji/taskinfo?taskID=7811652

Comment 9 Orion Poplawski 2017-03-11 17:47:24 UTC
Looks like 0.5.3 is out now.  Update to that and current guidelines and I'll review.

Comment 10 Itamar Reis Peixoto 2018-03-10 15:05:52 UTC
[itamar@lenovo fedora]$ python -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())"
/usr/lib/python2.7/site-packages

[itamar@lenovo fedora]$ rpm -E '%{python2_sitelib}'
/usr/lib/python2.7/site-packages

[itamar@lenovo fedora]$ rpm -E '%{python3_sitelib}'
/usr/lib/python3.6/site-packages


I think you probably should use %{python2_sitelib} / %{python3_sitelib} macros, they are already defined.

I saw a guy defining a macro for description and using it instead of repeating it, an small example here -> https://itamarjp.fedorapeople.org/review/python-flask-sphinx-themes.spec, if you do that your spec file will become smaller.

Comment 11 Itamar Reis Peixoto 2018-03-21 15:20:12 UTC
some people are talking about retiring python2 in rawhide, do you have a new version compatible with python3 ?

Comment 12 Richard W.M. Jones 2018-03-23 11:07:30 UTC
I'm going to close this as I don't have time or interest to
fix the request for Python 3 etc.


Note You need to log in before you can comment on or make changes to this bug.